| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfAuthCode Struct Reference
Subscriber Features

Authorization Code. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
enum unsp__AuthCodeCDRType * | AuthCodeCDR
| Specifies how Authorization Code is to be saved in CDR records. More...
xsd__string | CORName
| Class of Restriction to apply Authorization Code feature. More...
xsd__boolean * | EmergencyTrafficType
| Specifies whether the feature is applied to Emergency Traffic Type. More...
struct unsp__CfAuthCode_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Authorization Code.

The Authorization Code feature provides the capability to control access to calls to parties outside the business group. The system administrator specifies the number of digits of the account code. It can be from 2 to 14 digits long; its length is the same for all stations in a business group. To access this feature, the subscriber dials the public network access code (usually 9), followed by the destination digits. The system then prompts the subscriber to enter the authorization code. After the subscriber does so, one of the following events takes place:

- If the authorization code is valid: The call completes normally.
- If the authorization code is invalid: The system prompts the subscriber to re-enter the authorization code. If the second entry is also invalid, the call is given intercept treatment.

MP2 command: CfAuthCode [Attributes]

## Member Data Documentation

## ◆ AuthCodeCDR

enum unsp__AuthCodeCDRType* unsp__CfAuthCode::AuthCodeCDR

Specifies how Authorization Code is to be saved in CDR records.

It may be saved as an authorization code, as an account code, as both authorization code and account code, or may not be saved at all.
required: false
default value[range]: NoAuthAcctCode

## ◆ CORName

xsd__string unsp__CfAuthCode::CORName

Class of Restriction to apply Authorization Code feature.

required: true
default value[range]: NA [1..32]

## ◆ EmergencyTrafficType

xsd__boolean* unsp__CfAuthCode::EmergencyTrafficType

Specifies whether the feature is applied to Emergency Traffic Type.

required: false
default value[range]: false

## ◆ Enabled

unsp__Enabled* unsp__CfAuthCode::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfAuthCode_locPres* unsp__CfAuthCode::Local

Local Presence flags.

## ◆ Subscribed

enum unsp__Subscribed unsp__CfAuthCode::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h